form(nz-form, [formGroup]="form", nzLayout="vertical")
  nz-form-item
    nz-form-label(nzFor="customName", [nzRequired]="false")
      span
        | Custom Name
        i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="nameHelpTemplate", nzType="question-circle", theme="outline")
    nz-form-control
      input(nz-input, id="customName", formControlName="customName", placeholder="Enter custom name")

  //nz-form-item
    nz-form-label(nzFor="type", [nzRequired]="false")
      span
        | Scheduled on
        i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="scheduledOnHelpTemplate", nzType="question-circle", theme="outline")
    nz-form-control
      nz-select(formControlName="scheduledOn", nzMode="multiple", nzShowSearch, nzPlaceHolder="Select labels")
        nz-option(*ngFor="let label of []", nzCustomContent, [nzLabel]="label.id", [nzValue]="label.id")
          nz-tag(nzNoAnimation) {{ label.id }}
          span(nz-text) {{ label.description }}

  //nz-form-item
    nz-form-label(nzFor="type", [nzRequired]="false")
      span
        | Scheduled foreach
        i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="scheduledForEachHelpTemplate", nzType="question-circle", theme="outline")
    nz-form-control
      nz-select(formControlName="scheduledForEach", nzMode="multiple", nzShowSearch, nzPlaceHolder="Select labels")
        nz-option(*ngFor="let label of []", nzCustomContent, [nzLabel]="label.id", [nzValue]="label.id")
          nz-tag(nzNoAnimation) {{ label.id }}
          span(nz-text) {{ label.description }}

ng-template(#nameHelpTemplate)
  ng-container Change module name to display in the editor

ng-template(#scheduledOnHelpTemplate)
  ng-container Function will be runned on one cluster (selected by the platform) that match selected labels

ng-template(#scheduledForEachHelpTemplate)
  ng-container Function will be runned on each cluster that match selected labels.
